### Function

# Gck modules_objects_for_uri

#### Declaration [src]

    GList*
    gck_modules_objects_for_uri (
      GList* modules,
      const gchar* uri,
      GckSessionOptions session_options,
      GError** error
    )

#### Description [src]

Find objects that match a URI.

This call can block. Use `gck_modules_enumerate_uri()` for a non-blocking version.

#### Parameters

`modules` | A list of `GckModule*`
| The modules.
| The data is owned by the caller of the function.
`uri` | `const gchar*`
| The URI the objects must match.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`session_options` | `GckSessionOptions`
| Options from GckSessionOptions.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `GckObject*`
| A list of `GckObject` which should be released with gck_list_unref_free(), or `NULL` if no matching object was found.
| The caller of the function takes ownership of the data, and is responsible for freeing it.